[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.FindLast

Find the last active record (deprecated)

## Declaration

Source position: db.pas line 1692

`public function TDataSet.FindLast: Boolean; virtual;`

## Function result

True if the cursor position was changed.

## Description

FindLast positions the cursor on the last record (taking into account filtering), and returns True if the cursor position was changed. This method must be implemented by descendents of TDataset: The implementation in TDataset always returns False, indicating that the position was not changed.

This method is deprecated, use TDataset.Last instead.

## See also

TDataset.Last |  | Navigate forward to the last record
TDataset.FindFirst |  | Find the first active record (deprecated)
TDataset.FindNext |  | Find the next active record (deprecated)
TDataset.FindPrior |  | Find the previous active record (deprecated)